import _extends from "@babel/runtime/helpers/extends";

/**
 * File: /src/components/Embed/YoutubeIframeStyled.tsx
 * Project: @native-theme-ui/core
 * File Created: 18-07-2022 08:05:40
 * Author: Clay Risser
 * -----
 * Last Modified: 18-07-2022 08:06:05
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { createThemedComponent } from "@dripsy/core";
import React from "react";
import YoutubeIframe from "react-native-youtube-iframe";

const YoutubeIframeStyled = props => {
  var _props$style, _props$style2;

  const webViewStyle = { ...props.style
  };
  delete webViewStyle.width;
  delete webViewStyle.height;
  return /*#__PURE__*/React.createElement(YoutubeIframe, _extends({}, props, {
    height: ((_props$style = props.style) === null || _props$style === void 0 ? void 0 : _props$style.height) || props.defaultHeight,
    width: (_props$style2 = props.style) === null || _props$style2 === void 0 ? void 0 : _props$style2.width,
    webViewStyle: props.style
  }));
};

const YoutubeIframeThemed = createThemedComponent(YoutubeIframeStyled);
export default YoutubeIframeThemed;
//# sourceMappingURL=YoutubeIframeThemed.js.map