(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "@risserlabs/auto-contrast", "../Box"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("@risserlabs/auto-contrast"), require("../Box"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.autoContrast, global.Box);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _react, _autoContrast, _Box) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _react = _interopRequireDefault(_react);
  _Box = _interopRequireDefault(_Box);

  /**
   * File: /src/components/Badge/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 05-08-2022 01:16:30
   * Modified By: Manikanta
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  //export interface ViewProps extends RNViewProps {
  //}
  const Badge = props => {
    // const style =
    //props.variant === 'accent'
    //? styles.badge.accent
    // : props.variant === 'outline'
    //? styles.badge.outline
    // : styles.badge.circle;
    const sx = (0, _autoContrast.useAutoContrast)(props, { ...Badge.defaultSx,
      ...props.sx
    });
    return /*#__PURE__*/_react.default.createElement(_Box.default, {
      themeKey: "badges",
      variant: "primary",
      sx: { ...sx
      }
    }, props.children);
  };

  Badge.defaultProps = {
    sx: {},
    variant: "accent"
  };
  Badge.defaultSx = {
    width: 50,
    height: 20,
    display: "flex",
    fontWeight: "bold",
    alignItems: "center",
    justifyContent: "center",
    fontSize: "70%",
    borderRadius: 2,
    color: "white",
    bg: "primary"
  };
  var _default = Badge;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map