(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@dripsy/core"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@dripsy/core"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.core);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _core) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Image/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 05-08-2022 00:45:19
   * Modified By: Hari Krishna
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const Image = props => {
    const sx = { ...Image.defaultSx,
      ...props.sx
    };
    const dImageProps = { ...props
    };
    if (props.src) dImageProps.source = {
      uri: props.src
    };
    delete dImageProps.src;
    return /*#__PURE__*/_react.default.createElement(_core.Image, (0, _extends2.default)({
      themeKey: "images"
    }, dImageProps, {
      sx: sx
    }));
  };

  Image.defaultProps = {
    sx: {}
  };
  Image.defaultSx = {
    minWidth: "50%",
    maxWidth: "100%",
    height: "100%"
  };
  var _default = Image;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map